Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.miscellaneous
Class StemmerOverrideFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.miscellaneous.StemmerOverrideFilter

All Implemented Interfaces:
  Closeable

    public final class StemmerOverrideFilter

extends org.apache.lucene.analysis.TokenFilter

Provides the ability to override any `KeywordAttribute` aware stemmer with custom dictionary-based stemming.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`StemmerOverrideFilter(org.apache.lucene.util.Version matchVersion, org.apache.lucene.analysis.TokenStream input, Map<?,String> dictionary)` Create a new StemmerOverrideFilter, performing dictionary-based stemming with the provided `dictionary`.

Method Summary
`boolean` | `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StemmerOverrideFilter

    public StemmerOverrideFilter(org.apache.lucene.util.Version matchVersion,
                                 org.apache.lucene.analysis.TokenStream input,
                                 Map<?,String> dictionary)

  Create a new StemmerOverrideFilter, performing dictionary-based stemming with the provided `dictionary`.

  Any dictionary-stemmed terms will be marked with `KeywordAttribute` so that they will not be stemmed with stemmers down the chain.

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD